#NoTrayIcon

#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Change2CUI=y
#AutoIt3Wrapper_Res_Fileversion=0.0.1.6
#AutoIt3Wrapper_Res_Fileversion_AutoIncrement=y
#AutoIt3Wrapper_Res_Language=1031
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

#Region ;Legal stuff

#comments-start

	DMS-Reboot
 	by Lehmden 2020

	Licence:
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.


	Dieses Programm ist Freie Software: Sie können es unter den Bedingungen
	der GNU General Public License, wie von der Free Software Foundation,
	Version 3 der Lizenz oder (nach Ihrer Wahl) jeder neueren
	veröffentlichten Version, weiterverbreiten und/oder modifizieren.

	Dieses Programm wird in der Hoffnung, dass es nützlich sein wird, aber
	OHNE JEDE GEWÄHRLEISTUNG, bereitgestellt; sogar ohne die implizite
	Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
	Siehe die GNU General Public License für weitere Details.

	Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
	Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.

#comments-end

#EndRegion ;Legal stuff

#Region ;Includes

#include <Constants.au3>
#Include <string.au3>

#EndRegion ;Includes

#Region ;Config

Opt("MustDeclareVars", 1)
Global $file, $state

;Settings
Global $ini_url = IniRead(@ScriptDir & "\DMS-Reboot.ini", "settings", "ini_url", "localhost:8089")

#EndRegion

#Region ;Functions

;Function to see if DMS is busy

Func _busy()

	RunWait(@ComSpec & ' /c wget.exe -q -O "' & @ScriptDir & '\status.xml" "' & $ini_url & "/api/status2.html" & '"', @ScriptDir, @SW_HIDE, $STDERR_CHILD + $STDOUT_CHILD)

	$file = FileRead(@ScriptDir & "\status.xml")

	If _StringBetween($file, "<timercount>","</timercount>")[0] = "0" Then

		If _StringBetween($file, "<reccount>","</reccount>")[0] = "0" Then

			If _StringBetween($file, "<streamclientcount>","</streamclientcount>")[0] = "0" Then

				If _StringBetween($file, "<rtspclientcount>","</rtspclientcount>")[0] = "0" Then

					If _StringBetween($file, "<unicastclientcount>","</unicastclientcount>")[0] = "0" Then

						Return 1

					EndIf

				EndIf

			EndIf

		EndIf

	EndIf

	Return 0

EndFunc

#EndRegion

$state = _busy()

While $state = "0"

	sleep(60000)

	$state = _busy()

WEnd

Shutdown(18)

